## cascading.tuple
Class FieldsResolverException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cascading.CascadingException
                      cascading.tuple.TupleException
                          cascading.tuple.FieldsResolverException

All Implemented Interfaces:
  Serializable

    public class FieldsResolverException

extends TupleException

Class FieldsResolverException is thrown when selectorFields cannot select from the sourceFields.

See Also:
  Serialized Form

Constructor Summary
`FieldsResolverException(Fields sourceFields, Fields selectorFields)` Constructor FieldsResolverException creates a new FieldsResolverException instance.

Method Summary
`Fields` `getSelectorFields()` Method getSelectorFields returns the selectorFields of this FieldsResolverException object.
`Fields` `getSourceFields()` Method getSourceFields returns the sourceFields of this FieldsResolverException object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldsResolverException

    public FieldsResolverException(Fields sourceFields,
                                   Fields selectorFields)

  Constructor FieldsResolverException creates a new FieldsResolverException instance.

  Parameters:
    `sourceFields` - of type Fields
    `selectorFields` - of type Fields

Method Detail

### getSourceFields

    public Fields getSourceFields()

  Method getSourceFields returns the sourceFields of this FieldsResolverException object.

  Returns:
    the sourceFields (type Fields) of this FieldsResolverException object.

### getSelectorFields

    public Fields getSelectorFields()

  Method getSelectorFields returns the selectorFields of this FieldsResolverException object.

  Returns:
    the selectorFields (type Fields) of this FieldsResolverException object.

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.